# Codelist country + COD authorization

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /codelist/country:
    get:
      summary: Codelist country + COD authorization
      deprecated: false
      description: >
        ## Purpose and Usage

        The codelist/country method provides a list of supported countries with
        which PPL operates in its system. Typically, you will use this
        information when creating international shipments or when determining
        whether cash on delivery is supported in a given country.
      tags:
        - API Methods/Codelist
        - Codelist
      parameters:
        - name: cashOnDelivery
          in: query
          description: ''
          required: false
          schema:
            type: boolean
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: servicepoints
          in: query
          description: Delivering to pickup points true/false
          required: false
          schema:
            type: boolean
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JJKTWGWCJV9HD62XS6VG69ZW:
                      x-apidog-overrides:
                        cashOnDelivery:
                          type: boolean
                          description: >-
                            Boolean (true/false) vyjadřující, zda je u dané země
                            podporována služba dobírky (Cash on Delivery).
                        name:
                          type: string
                          description: >-
                            Čitelný název země, např. „Česká republika“ . Slouží
                            pro zobrazování uživatelům, např. ve výběru země při
                            vytváření zásilky.
                          nullable: true
                        code:
                          type: string
                          description: Krátký kód dané země (CZ, SK, DE, apod.).
                          nullable: true
                      type: object
                      properties: {}
                    01KH0PV2ER3E9RD5H7KHDEFCQB:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.Codelist.CountryModel
                  x-apidog-orders:
                    - 01JJKTWGWCJV9HD62XS6VG69ZW
                    - 01KH0PV2ER3E9RD5H7KHDEFCQB
                  properties:
                    cashOnDelivery:
                      type: boolean
                      description: Cash on delivery allowed
                    code:
                      type: string
                      description: Code
                      nullable: true
                    name:
                      type: string
                      description: Name
                      nullable: true
                    servicepoints:
                      type: boolean
                      description: Servicepoints allowed
                  x-apidog-ignore-properties:
                    - cashOnDelivery
                    - code
                    - name
                    - servicepoints
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKTEWZ575W0W331E67SAWSY
                x-apidog-refs:
                  01JJKTEWZ575W0W331E67SAWSY: &ref_0
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKTF5DMFVAVXJ94X5T9FJGT
                x-apidog-refs:
                  01JJKTF5DMFVAVXJ94X5T9FJGT: *ref_0
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKTN4NW4F8CAJ1RWHR20N2G
                x-apidog-refs:
                  01JJKTN4NW4F8CAJ1RWHR20N2G: *ref_0
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security:
        - Bearer: []
          x-apidog:
            required: true
            schemeGroups:
              - id: qXPXJbSkN5MJ0auufCFGT
                schemeIds:
                  - Bearer
            use:
              id: qXPXJbSkN5MJ0auufCFGT
      x-apidog-folder: API Methods/Codelist
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/800807/apis/api-13601463-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Codelist.CountryModel:
      type: object
      properties:
        cashOnDelivery:
          type: boolean
          description: Cash on delivery allowed
        code:
          type: string
          description: Code
          nullable: true
        name:
          type: string
          description: Name
          nullable: true
        servicepoints:
          type: boolean
          description: Servicepoints allowed
      additionalProperties: false
      description: Country model
      x-apidog-orders:
        - cashOnDelivery
        - code
        - name
        - servicepoints
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security:
  - Bearer: []
    x-apidog:
      schemeGroups:
        - id: Y1Pl_6gJhwt22zSpU8-70
          schemeIds:
            - Bearer
      required: true
      use:
        id: Y1Pl_6gJhwt22zSpU8-70
      scopes:
        Y1Pl_6gJhwt22zSpU8-70:
          Bearer: []

```
